#include "rendering/ColorRenderer.h"
#include "utils/Buffer.h"

void ColorRenderer::init() {
    vertexBuffer.init(
        VertexBuffer::Attributes().addFloat(2).addSpacer().addColor4());
    vertexBuffer.setData(sizeof(Vertex) * 3, nullptr, GL::STREAM_DRAW);
}

void ColorRenderer::draw(const Vertex& v1, const Vertex& v2, const Vertex& v3) {
    Buffer buffer(sizeof(Vertex) * 3);
    buffer.add(v1).add(v2).add(v3);
    vertexBuffer.updateData(0, buffer.getLength(), buffer);
    vertexBuffer.draw(3);
}