#ifndef MESH_H
#define MESH_H

#include "data/List.h"
#include "rendering/VertexBuffer.h"
#include "utils/TypedBuffer.h"

struct Mesh final {
    struct VertexData final {
        float x;
        float y;
        float z;
        float tx;
        float ty;
        float nx;
        float ny;
        float nz;
    };

private:
    VertexBuffer vertexBuffer;
    TypedBuffer<VertexData> buffer;

public:
    Mesh();

    void add(const VertexData& data);

    void clear();
    void build();
    void draw();
};

#endif